package com.yeejoin.amos.boot.module.common.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.common.api.entity.FirefightersPost;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 岗位信息 Mapper 接口
*
* @author tb
* @date 2021-06-07
*/
public interface FirefightersPostMapper extends BaseMapper<FirefightersPost> {

    Map<String, Object> getFirePersonJobInfo(@Param("bizOrgCode") String bizOrgCode);

    Map<String, Object> getYWPersonJobInfo(@Param("bizOrgCode") String bizOrgCode);

    Map<String, Object> getZZPersonInfo(@Param("bizOrgCode") String bizOrgCode);

    Map<String, Object> getYWPersonInfo(@Param("bizOrgCode") String bizOrgCode);
}
